@import (reference) '../Messages.variables.import.less';

.message-input {
  display: flex;
  align-items: center;
  flex: 0 0 auto;
  padding: 0.25em 0.5em;
  background-color: @white;
  border-top: 1px solid @lighterColor;

  .input {
    flex: 1 1 auto;
    width: 100%;
    height: 100%;
    padding: 0.5em;
    border: none;
    outline: none;
    resize: none;
    font-size: 1.125em;
    line-height: 1;
    background-color: @lighterColorInverted;
    color: @darkColor;
  }

  .imageChooser {
    display: flex;
    align-items: center;
    flex: 0 0 auto;
    font-size: 0.85em;
    max-width: 6em;
    max-height: 5em;
    overflow: hidden;
    border-radius: 3px;
    position: relative;

    .preview {
      img {
        display: block;
      }
    }

    .add.button {
      height: 2.5em;
    }

    & > .remove {
      margin: 0;
      position: absolute;
      top: 0;
      bottom: 0;
      left: 0;
      right: 0;
      display: flex;
      justify-content: center;
      align-items: center;
      cursor: pointer;
      opacity: 0;
      transition: opacity 250ms;
      background-color: fade(@black, 85%);
      &:hover {
        opacity: 1;
      }
      > .icon {
        margin: 0;
        line-height: 1;
        color: @invertedTextColor;
      }
    }
  }
}